Subject: [AVT] hook-flash

From: Romel Khan <[email-masked]>
Date: Tue, 26 Jun 2001 10:43:57 -0400

How is it possible to pass the hook-flash over RTP? 
I did not seem to find mention of that in RFC2833 under line events.

Thanks.

Romel Khan
Ph: (732)-363-0213, x241

_______________________________________________
Audio/Video Transport Working Group
[email-masked]
http://www.ietf.org/mailman/listinfo/avt

---

From: Wayne Mills <[email-masked]>
Date: Tue, 26 Jun 2001 11:00:32 -0400

Section 3.10, event 16 under DTMF events.

---

From: "Dan Wing" <[email-masked]>
Date: Tue, 26 Jun 2001 07:57:52 -0700

Hook-flash is a signaling message, so isn't sent over the bearer stream.

-d

> -----Original Message-----
> From: [email-masked] [mailto:[email-masked]]On Behalf Of Romel
> Khan
> Sent: Tuesday, June 26, 2001 7:44 AM
> To: [email-masked]'
> Subject: [AVT] hook-flash
> 
>

---

From: "Chris Fulmer" <[email-masked]>
Date: Tue, 26 Jun 2001 11:30:14 -0400

Well...  Not exactly.  RFC 2833 is "RTP Payload for DTMF Digits, Telephony
Tones and Telephony Signals."

Flash is defined as DTMF event 16 -- see section 3.10 of 2833.

There is a big disagreement about how signalling information is transmitted
about which I'm *not* going to get into detail right now.  Suffice it to
say,
I suspect that a majority of 2833 implementations will do DTMF events 0-15
(0-9,*,#,A-D) and that's it, while a few will do the other parts.  Depends a
lot
on the application and on who else you have to talk with.

--
C

---

From: "Dan Wing" <[email-masked]>
Date: Tue, 26 Jun 2001 09:04:03 -0700

True, thanks for the clarification.  If you're doing trunking or something
like BLES (GR-303), you need to pass hook-flash in-band (everything is sent
in-band with BLES).  If you're doing MGCP you usually inform the call agent of
hook-flash.

-d

> From: [email-masked] [mailto:[email-masked]]On Behalf Of Chris
> Fulmer
> Sent: Tuesday, June 26, 2001 8:30 AM
> Cc: avt
> Subject: Re: [AVT] hook-flash
>
>

---

From: Michael Thomas <[email-masked]>
Date: Tue, 26 Jun 2001 09:15:53 -0700 (PDT)

> Hook-flash is a signaling message, so isn't sent over the bearer
stream.

Actually, the point of 2833 is to send signaling
messages.  I'd be surprised to hear that hook
flash wasn't supported.  It probably is though;
the named signaling events have a duration and you
should be able to deduce a flash by checking the
timestamps on onhook/offhook events.

		Mike